# Standard_ExtCharacter.hxx File Reference

`#include <Standard_ctype.hxx>`
`#include <string.h>`
`#include <Standard_TypeDef.hxx>`
`#include <Standard_OStream.hxx>`

## Functions

__Standard_API Handle_Standard_Type & | Standard_ExtCharacter_Type_ ()
__Standard_API Standard_Integer | HashCode (const Standard_ExtCharacter, const Standard_Integer)
Standard_ExtCharacter | ToExtCharacter (const Standard_Character achar)
Standard_Character | ToCharacter (const Standard_ExtCharacter achar)
Standard_Boolean | IsAnAscii (const Standard_ExtCharacter achar)
Standard_Boolean | IsEqual (const Standard_ExtCharacter One, const Standard_ExtCharacter Two)
Standard_Boolean | IsSimilar (const Standard_ExtCharacter One, const Standard_ExtCharacter Two)
Standard_ExtCharacter | ShallowCopy (const Standard_ExtCharacter me)

## Function Documentation

__Standard_API Standard_Integer HashCode | ( | const | Standard_ExtCharacter,
|  | const | Standard_Integer
| ) |

Standard_Boolean IsAnAscii | ( | const Standard_ExtCharacter | achar | ) | `[inline]`

Standard_Boolean IsEqual | ( | const Standard_ExtCharacter | One,
|  | const Standard_ExtCharacter | Two
| ) | `[inline]`

Standard_Boolean IsSimilar | ( | const Standard_ExtCharacter | One,
|  | const Standard_ExtCharacter | Two
| ) | `[inline]`

Standard_ExtCharacter ShallowCopy | ( | const Standard_ExtCharacter | me | ) | `[inline]`

class __Standard_API Handle_Standard_Type& Standard_ExtCharacter_Type_ | ( |  | ) |

Standard_Character ToCharacter | ( | const Standard_ExtCharacter | achar | ) | `[inline]`

Standard_ExtCharacter ToExtCharacter | ( | const Standard_Character | achar | ) | `[inline]`